Skip to content

V2 Projects

List Projects
v2_projects.list(V2ProjectListParams**kwargs) -> SyncPaginatedCursor[V2ProjectListResponse]
GET/api/v2/projects
Get Project
v2_projects.get(strproject_id, V2ProjectGetParams**kwargs) -> V2ProjectGetResponse
GET/api/v2/projects/{project_id}
ModelsExpand Collapse
class V2ProjectListResponse:

API response schema for a project.

id: str

The project’s unique identifier.

name: str

The project’s display name.

organization_id: str

The organization the project belongs to.

created_at: Optional[datetime]

Creation datetime

formatdate-time
is_default: Optional[bool]

Whether this project is the default project for its organization.

updated_at: Optional[datetime]

Update datetime

formatdate-time
class V2ProjectGetResponse:

API response schema for a project.

id: str

The project’s unique identifier.

name: str

The project’s display name.

organization_id: str

The organization the project belongs to.

created_at: Optional[datetime]

Creation datetime

formatdate-time
is_default: Optional[bool]

Whether this project is the default project for its organization.

updated_at: Optional[datetime]

Update datetime

formatdate-time
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/for-agents/mcp/ - Other LlamaIndex tooling for agents — the LlamaParse Platform MCP server, agent skills and plugins, and the n8n node — is mapped at https://developers.llamaindex.ai/for-agents/